Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.jmx
Class AppenderAdmin

    java.lang.Object
      org.apache.logging.log4j.core.jmx.AppenderAdmin

All Implemented Interfaces:
  AppenderAdminMBean

    public class AppenderAdmin

extends Object
implements AppenderAdminMBean

Implementation of the `AppenderAdminMBean` interface.

Field Summary

Fields inherited from interface org.apache.logging.log4j.core.jmx.AppenderAdminMBean
`PATTERN`

Constructor Summary
`AppenderAdmin(String contextName, Appender appender)` Constructs a new `AppenderAdmin` with the specified contextName and appender.

Method Summary
`String` | `getErrorHandler()` Returns the result of calling `toString` on the error handler of this appender, or `"null"` if no error handler was set.
`String` | `getFilter()` Returns a string description of all filters configured for the instrumented `Appender`.
`String` | `getLayout()` Returns the result of calling `toString` on the `Layout` object of the instrumented `Appender`.
`String` | `getName()` Returns the name of the instrumented `Appender`.
`ObjectName` | `getObjectName()` Returns the `ObjectName` of this mbean.
`boolean` | `isIgnoreExceptions()` Returns how exceptions thrown on the instrumented `Appender` are handled.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AppenderAdmin

    public AppenderAdmin(String contextName,
                         Appender appender)

  Constructs a new `AppenderAdmin` with the specified contextName and appender.

  Parameters:
    `contextName` - used in the `ObjectName` for this mbean
    `appender` - the instrumented object

Method Detail

### getObjectName

    public ObjectName getObjectName()

  Returns the `ObjectName` of this mbean.

  Returns:
    the `ObjectName`
  See Also:
    `AppenderAdminMBean.PATTERN`

### getName

    public String getName()

  Description copied from interface: `AppenderAdminMBean`
  Returns the name of the instrumented `Appender`.

  Specified by:
    `getName` in interface `AppenderAdminMBean`
  Returns:
    the name of the Appender

### getLayout

    public String getLayout()

  Description copied from interface: `AppenderAdminMBean`
  Returns the result of calling `toString` on the `Layout` object of the instrumented `Appender`.

  Specified by:
    `getLayout` in interface `AppenderAdminMBean`
  Returns:
    the `Layout` of the instrumented `Appender` as a string

### isIgnoreExceptions

    public boolean isIgnoreExceptions()

  Description copied from interface: `AppenderAdminMBean`
  Returns how exceptions thrown on the instrumented `Appender` are handled.

  Specified by:
    `isIgnoreExceptions` in interface `AppenderAdminMBean`
  Returns:
    `true` if any exceptions thrown by the Appender will be logged or `false` if such exceptions are re-thrown.

### getErrorHandler

    public String getErrorHandler()

  Description copied from interface: `AppenderAdminMBean`
  Returns the result of calling `toString` on the error handler of this appender, or `"null"` if no error handler was set.

  Specified by:
    `getErrorHandler` in interface `AppenderAdminMBean`
  Returns:
    result of calling `toString` on the error handler of this appender, or `"null"`

### getFilter

    public String getFilter()

  Description copied from interface: `AppenderAdminMBean`
  Returns a string description of all filters configured for the instrumented `Appender`.

  Specified by:
    `getFilter` in interface `AppenderAdminMBean`
  Returns:
    a string description of all configured filters for this appender

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.